JavaScript基础 – 异常处理try catch

try 语句测试代码块的错误。

catch 语句处理错误。

throw 语句创建自定义错误。

与PHP类似

try
{
	aaaa("12243");
}catch(err){
	document.write(err.message);	//输出 aaaa is not defined
}

可以使用throw抛出异常

try
{
	var a = 10;
	if(a<100) throw "var erro";
}catch(err){
	document.write(err);	//输出 var erro
}

 

发表评论

电子邮件地址不会被公开。 必填项已用*标注